[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#692342: apt-move move command deletes all files without moving them

Package: apt-move
Version: 4.2.27-2+b1
Severity: grave
Justification: renders package unusable

Dear Maintainer,

I have for a long period of time (many years, i have been using linux since
kernel 0.96d, 20 years ago) been using apt-move to maintain my own repository as I have
poor internet access. As usual I transferred all the debs from the CD images
downloaded at the cafe in town and placed them into /var/cache/apt/archive
directory. The commands "apt-move get" then "apt-move move" commands were run.
Apt-move ran as normal for the usual time and printed it had moved the
files. On examination of the repository no files had appeared there and all
had been erased from the archive diectory. I tried this a number of times
with the same result. All the deb packages (I keep backups) were transfered
to a Debian 6.0X box which was temporarily set to testing and the new
repository was created successfully using apt-move version 4.2.27-1+b8.

For what its worth I have been using debian since it first came out (pre
1.0), while for a long time the installer was questionable the package 
quality __FAR__ exceeds other distributions, particularly in flexiblity in getting the
system to do what I want instead of what some else thinks I need.

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 3.2.0-3-686-pae (SMP w/8 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/dash

Versions of packages apt-move depends on:
ii  bc              1.06.95-2
ii  dash            0.5.7-3
ii  libapt-pkg4.12
ii  libc6           2.13-35
ii  libgcc1         1:4.7.1-7
ii  libstdc++6      4.7.1-7

Versions of packages apt-move recommends:
ii  apt

apt-move suggests no packages.

-- Configuration Files:
/etc/apt-move.conf changed:

-- no debconf information

Reply to: